You are not logged in.

#1 2023-01-05 15:57:33

p37
Member
Registered: 2021-01-16
Posts: 8

(Solved) Haruna Upgrade Broken Haruna

Hello
after upgrade:

[2023-01-04T11:48:21+0100] [ALPM] upgraded haruna (0.9.3-2 -> 0.10.0-1)

Haruna does not play files anymore.

pacman -U /mnt/pacman/haruna-0.9.3-2-x86_64.pkg.tar.zst

Solves the problem.

Haruna 0.10.0-1:

[p37@H2Odi ~]$ haruna
unknown() : Failed to find a Kirigami platform plugin

unknown() : qrc:/qml/main.qml:180:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

unknown() : qrc:/qml/Actions.qml:39:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

unknown() : qrc:/qml/HProgressBar.qml:212:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

unknown() : qrc:/qml/PlayList.qml:327:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

Cannot load libcuda.so.1

Haruna 0.9.3-2:

[p37@H2Odi ~]$ haruna
unknown() : Failed to find a Kirigami platform plugin

unknown() : qrc:/qml/main.qml:178:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

unknown() : qrc:/qml/Actions.qml:39:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

unknown() : qrc:/qml/HProgressBar.qml:212:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }

Cannot load libcuda.so.1
unknown() : QQuickItem::stackBefore: Cannot stack MenuItem_QMLTYPE_2(0x56465ecb7e80, parent=0x56465dd6dbd0, geometry=0,0 198x0) before MenuItem_QMLTYPE_2(0x56465e5e1f10), which must be a sibling

I do not speak English,
hope the information is enough.

Last edited by p37 (2023-01-29 19:02:05)

Offline

#2 2023-01-06 03:39:46

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 7,144

Re: (Solved) Haruna Upgrade Broken Haruna

Please post pacman.log for at least the complete transaction.


CLI Paste | How To Ask Questions

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Wireless 8265/8275 | US keyboard w/ Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#3 2023-01-06 14:53:33

p37
Member
Registered: 2021-01-16
Posts: 8

Re: (Solved) Haruna Upgrade Broken Haruna

Gladly:

[2023-01-04T11:44:58+0100] [PACMAN] Running 'pacman -Syu'
[2023-01-04T11:44:58+0100] [PACMAN] synchronizing package lists
[2023-01-04T11:45:03+0100] [PACMAN] starting full system upgrade
[2023-01-04T11:48:20+0100] [ALPM] running '60-mkinitcpio-remove.hook'...
[2023-01-04T11:48:20+0100] [ALPM] transaction started
[2023-01-04T11:48:20+0100] [ALPM] upgraded graphicsmagick (1.3.38-6 -> 1.3.39-1)
[2023-01-04T11:48:20+0100] [ALPM] upgraded libmodplug (0.8.9.0-4 -> 0.8.9.0-5)
[2023-01-04T11:48:20+0100] [ALPM] upgraded mesa (22.3.1-2 -> 22.3.2-1)
[2023-01-04T11:48:20+0100] [ALPM] upgraded libva (2.16.0-1 -> 2.17.0-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded rav1e (0.6.1-1 -> 0.6.2-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded sdl2 (2.26.1-1 -> 2.26.2-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded libxkbcommon (1.4.1-2 -> 1.5.0-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded libxkbcommon-x11 (1.4.1-2 -> 1.5.0-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded sqlite (3.40.0-2 -> 3.40.1-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded libksba (1.6.2-1 -> 1.6.3-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded xfsprogs (6.0.0-2 -> 6.1.0-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded pipewire (1:0.3.63-3 -> 1:0.3.63-4)
[2023-01-04T11:48:21+0100] [ALPM] upgraded haruna (0.9.3-2 -> 0.10.0-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded hunspell (1.7.1-1 -> 1.7.2-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded imagemagick (7.1.0.55-2 -> 7.1.0.57-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded libheif (1.14.0-1 -> 1.14.1-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded librevenge (0.0.4-5 -> 0.0.5-1)
[2023-01-04T11:48:21+0100] [ALPM] upgraded libva-utils (2.16.0-1 -> 2.17.0-1)
[2023-01-04T11:48:22+0100] [ALPM] upgraded linux (6.1.1.arch1-1 -> 6.1.2.arch1-1)
[2023-01-04T11:48:25+0100] [ALPM] upgraded linux-headers (6.1.1.arch1-1 -> 6.1.2.arch1-1)
[2023-01-04T11:48:26+0100] [ALPM] upgraded linux-lts (5.15.85-1 -> 5.15.86-1)
[2023-01-04T11:48:29+0100] [ALPM] upgraded linux-lts-headers (5.15.85-1 -> 5.15.86-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded mame (0.250-1 -> 0.251-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded man-pages (6.01-1 -> 6.02-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded mesa-vdpau (22.3.1-2 -> 22.3.2-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded minizip-ng (3.0.7-2 -> 3.0.8-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded mobile-broadband-provider-info (20221107-1 -> 20221107-2)
[2023-01-04T11:48:30+0100] [ALPM] upgraded netpbm (10.73.41-1 -> 10.73.42-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded python-pillow (9.3.0-1 -> 9.4.0-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded python-pygments (2.13.0-1 -> 2.14.0-1)
[2023-01-04T11:48:30+0100] [ALPM] upgraded zvbi (0.2.38-1 -> 0.2.39-1)
[2023-01-04T11:48:31+0100] [ALPM] transaction completed
[2023-01-04T11:48:32+0100] [ALPM] running '30-systemd-daemon-reload.hook'...
[2023-01-04T11:48:32+0100] [ALPM] running '30-systemd-update.hook'...
[2023-01-04T11:48:32+0100] [ALPM] running '30-update-mime-database.hook'...
[2023-01-04T11:48:32+0100] [ALPM] running '60-depmod.hook'...
[2023-01-04T11:48:36+0100] [ALPM] running '90-mkinitcpio-install.hook'...
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'default'
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts.img
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.15.86-1-lts
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2023-01-04T11:48:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2023-01-04T11:48:37+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2023-01-04T11:48:37+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2023-01-04T11:48:37+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2023-01-04T11:48:37+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2023-01-04T11:48:37+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-lts.img
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'fallback'
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts-fallback.img -S autodetect
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET] ==> Starting build: 5.15.86-1-lts
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2023-01-04T11:48:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: bfa
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qed
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla2xxx
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla1280
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2023-01-04T11:48:39+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2023-01-04T11:48:40+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2023-01-04T11:48:41+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2023-01-04T11:48:42+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2023-01-04T11:48:42+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2023-01-04T11:48:44+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2023-01-04T11:48:44+0100] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-lts-fallback.img
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET] ==> Starting build: 6.1.2-arch1-1
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2023-01-04T11:48:45+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2023-01-04T11:48:46+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2023-01-04T11:48:46+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2023-01-04T11:48:46+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2023-01-04T11:48:46+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux.img
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET] ==> Starting build: 6.1.2-arch1-1
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2023-01-04T11:48:47+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: bfa
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qed
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla2xxx
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla1280
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2023-01-04T11:48:48+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2023-01-04T11:48:49+0100] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2023-01-04T11:48:50+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2023-01-04T11:48:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2023-01-04T11:48:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2023-01-04T11:48:53+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2023-01-04T11:48:53+0100] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2023-01-04T11:48:54+0100] [ALPM-SCRIPTLET] ==> Image generation successful
[2023-01-04T11:48:54+0100] [ALPM] running 'detect-old-perl-modules.hook'...
[2023-01-04T11:48:54+0100] [ALPM] running 'gdk-pixbuf-query-loaders.hook'...
[2023-01-04T11:48:54+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2023-01-04T11:48:54+0100] [ALPM] running 'rebuild-detector.hook'...
[2023-01-04T11:48:56+0100] [ALPM] running 'texinfo-install.hook'...
[2023-01-04T11:48:56+0100] [ALPM] running 'update-desktop-database.hook'...
[2023-01-04T18:32:28+0100] [PACMAN] Running 'pacman -S haruna'
[2023-01-04T18:32:31+0100] [ALPM] transaction started
[2023-01-04T18:32:31+0100] [ALPM] reinstalled haruna (0.10.0-1)
[2023-01-04T18:32:31+0100] [ALPM] transaction completed
[2023-01-04T18:32:31+0100] [ALPM] running '30-systemd-update.hook'...
[2023-01-04T18:32:31+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2023-01-04T18:32:31+0100] [ALPM] running 'rebuild-detector.hook'...
[2023-01-04T18:32:33+0100] [ALPM] running 'update-desktop-database.hook'...
[2023-01-04T18:51:26+0100] [PACMAN] Running 'pacman -Syu'
[2023-01-04T18:51:26+0100] [PACMAN] synchronizing package lists
[2023-01-04T18:51:29+0100] [PACMAN] starting full system upgrade
[2023-01-04T18:52:27+0100] [ALPM] transaction started
[2023-01-04T18:52:27+0100] [ALPM] upgraded glslang (11.11.0-1 -> 11.13.0-2)
[2023-01-04T18:52:27+0100] [ALPM] upgraded mesa (22.3.2-1 -> 22.3.2-3)
[2023-01-04T18:52:28+0100] [ALPM] upgraded kodi (19.4-8 -> 19.5-2)
[2023-01-04T18:52:28+0100] [ALPM] upgraded kodi-platform (20190726.809c5e9-37 -> 20190726.809c5e9-40)
[2023-01-04T18:52:28+0100] [ALPM] upgraded kodi-addon-inputstream-adaptive (19.0.7-1 -> 19.0.7-3)
[2023-01-04T18:52:28+0100] [ALPM] upgraded spirv-tools (2022.1-1 -> 2022.4-1)
[2023-01-04T18:52:28+0100] [ALPM] upgraded shaderc (2022.1-4 -> 2022.4-1)
[2023-01-04T18:52:28+0100] [ALPM] upgraded libplacebo (4.208.0-1 -> 5.229.1-2)
[2023-01-04T18:52:28+0100] [ALPM] upgraded mesa-vdpau (22.3.2-1 -> 22.3.2-3)
[2023-01-04T18:52:28+0100] [ALPM] upgraded mpv (1:0.35.0-2 -> 1:0.35.0-4)
[2023-01-04T18:52:28+0100] [ALPM] upgraded pacman-contrib (1.8.0-1 -> 1.8.2-1)
[2023-01-04T18:52:28+0100] [ALPM] upgraded qt5-webengine (5.15.11-3 -> 5.15.12-1)
[2023-01-04T18:52:29+0100] [ALPM] upgraded vlc (3.0.18-4 -> 3.0.18-6)
[2023-01-04T18:52:29+0100] [ALPM] transaction completed
[2023-01-04T18:52:29+0100] [ALPM] running '30-systemd-daemon-reload.hook'...
[2023-01-04T18:52:29+0100] [ALPM] running '30-systemd-update.hook'...
[2023-01-04T18:52:29+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2023-01-04T18:52:29+0100] [ALPM] running 'rebuild-detector.hook'...
[2023-01-04T18:52:31+0100] [ALPM] running 'update-desktop-database.hook'...
[2023-01-04T18:52:31+0100] [ALPM] running 'update-vlc-plugin-cache.hook'...
[2023-01-04T21:33:20+0100] [PACMAN] Running 'pacman -U /mnt/pacman/haruna-0.9.3-2-x86_64.pkg.tar.zst'
[2023-01-04T21:33:29+0100] [ALPM] transaction started
[2023-01-04T21:33:29+0100] [ALPM] downgraded haruna (0.10.0-1 -> 0.9.3-2)
[2023-01-04T21:33:29+0100] [ALPM] transaction completed
[2023-01-04T21:33:29+0100] [ALPM] running '30-systemd-update.hook'...
[2023-01-04T21:33:29+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2023-01-04T21:33:29+0100] [ALPM] running 'rebuild-detector.hook'...
[2023-01-04T21:33:31+0100] [ALPM] running 'update-desktop-database.hook'...

Last edited by p37 (2023-01-06 18:26:57)

Offline

#4 2023-01-06 16:58:11

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 22,093

Re: (Solved) Haruna Upgrade Broken Haruna

There was a bug fix release in the meantime, try that. Also please use [ code ] not [ quote ] for outputs.

Offline

#5 2023-01-06 18:35:25

p37
Member
Registered: 2021-01-16
Posts: 8

Re: (Solved) Haruna Upgrade Broken Haruna

V1del wrote:

There was a bug fix release in the meantime, try that. Also please use [ code ] not [ quote ] for outputs.

thanks, bug fix release has helped.

i have improved it,
try to remember me in the future.

Last edited by p37 (2023-01-06 18:40:29)

Offline

#6 2023-01-08 09:54:55

p37
Member
Registered: 2021-01-16
Posts: 8

Re: (Solved) Haruna Upgrade Broken Haruna

Hello,
a small problem remains.
I like to assign for my banjo songs,
file names with indication of the tuning.
e.g.

Pretty Polly  Doc Boggs-f#DGAD.m4v

Haruna does not play these since the update to 0.10.0-1 now 0.10.2-1,
without the # there is no problem.
0.9.3-2 has no problem with #


I know that special characters can be a problem,
but the last two years there was none with it?

Offline

#7 2023-01-08 13:23:46

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 22,093

Re: (Solved) Haruna Upgrade Broken Haruna

Those are going to be upstream issues you should report them to the haruna devs maybe test whether it's a qt issue by checking whether you have similar issues with other qt tools, e.g. dragon player or vlc or so

Offline

#8 2023-01-08 15:24:35

p37
Member
Registered: 2021-01-16
Posts: 8

Re: (Solved) Haruna Upgrade Broken Haruna

Thank you,
I can report that vlc and mpv-player have no problems with #.
I will see if I can make a report.

Offline

#9 2023-01-29 18:58:54

p37
Member
Registered: 2021-01-16
Posts: 8

Re: (Solved) Haruna Upgrade Broken Haruna

the update to haruna 0.10.3-1
solved the problem.
Many thanks

Offline

Board footer

Powered by FluxBB